Description

When I switch on the location and org feature,

tmp files prevent the 2 features to show up.

Associated revisions

Revision 88824e07 - 12/24/2012 10:46 AM - Ohad Levy

refs #1991 - Cache not cleared prevent location / org feature to show up

1. ensures settings cache is removed when app starts

we can't remove all cache, with Rails.cache.clear as that might lead to issues

with people using memcache with multiple foreman instances (e.g. we can clear

the progress bar cache while restarting another foreman instance).

The other alternative is to put a TTL on the settings, but I think this

option for this specific case makes more sense.

2. fixed the cache directory, from /tmp to /tmp/cache.

Revision 596d5f09 - 12/24/2012 10:46 AM - Joseph Magen

fixes #1991 expire topbar cache on user when restart server

History

#1 - 12/04/2012 06:07 AM - Greg Sutcliffe

Does it makes sense to clear cache when the Foreman process starts up? That would seem the easiest fix...

#2 - 12/04/2012 06:20 AM - Ohad Levy

- Assignee set to Greg Sutcliffe

yes!

#3 - 12/12/2012 03:56 PM - Sam Kottler

- Category set to Organizations and Locations

- Status changed from New to Assigned

- Assignee changed from Greg Sutcliffe to Sam Kottler

I'm going to work on this issue. Greg, if you have a patch written then feel free to reassign it to yourself.

#4 - 12/12/2012 04:09 PM - Greg Sutcliffe

I do not. Enjoy :)

This should also fix an issue where the tests affect the production environment due to the cache not being properly cleared.
#5 - 12/12/2012 04:22 PM - Sam Kottler

Excellent. Impending patch :-)

#6 - 12/19/2012 04:55 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- Assignee changed from Sam Kottler to Ohad Levy

https://github.com/theforeman/foreman/pull/319

#7 - 12/19/2012 07:41 AM - Ohad Levy

- Status changed from Ready For Testing to Assigned

on second thought, clearing the cache might not be ideal.

assuming we a memcache based cache + multiple foreman web frontends, one could clear the cache for another one, resulting with removing things

like a host progress bar as well.

#8 - 12/24/2012 12:40 PM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 596d5f09c61a39168b12e12800bb83dc62085d9c.
